
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>新手入门：JSP及语法概要 / iVAN</title>

    <meta name="description" content="新手入门：JSP及语法概要 js|语法 概述 Java Server Pages(JSP)使得我们能够分离页面的静态HTML和动态部分.HTML可以用任何通常使用的Web制作工具编写,编写方式也和原来的一样:动态部分的代码放入特殊标记之内,大部分以&quot;&lt;%&quot;开始,以&quot;%&gt;&quot;结束. 例如,下面是一个JSP页面的片断,如果我们用http://host/OrderConfirmation.jsp/title=Core+Web+Programming这个URL打开该页面,则结果显示 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">新手入门：JSP及语法概要</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>js|语法</p>
<p><strong>　　概述</p>
<p></strong>　　Java Server Pages（JSP）使得我们能够分离页面的静态HTML和动态部分。HTML可以用任何通常使用的Web制作工具编写，编写方式也和原来的一样；动态部分的代码放入特殊标记之内，大部分以“＜%”开始，以“%＞”结束。</p>
<p>　　例如，下面是一个JSP页面的片断，如果我们用http://host/OrderConfirmation.jsp/title=Core+Web+Programming这个URL打开该页面，则结果显示“Thanks for ordering Core Web Programming”。</p>
<table>
<tr>
<td>
<pre>Thanks for ordering＜I＞＜%= request.getParameter("title") %＞＜/I＞</pre>
</td>
</tr>
</table>
<p>　　JSP页面文件通常以.JSP为扩展名，而且可以安装到任何能够存放普通Web页面的地方。虽然从代码编写来看，JSP页面更象普通Web页面而不象Servlet，但实际上，JSP最终会被转换成正规的Servlet，静态HTML直接输出到和Servlet service方法关联的输出流。</p>
<p>　　JSP到Servlet的转换过程一般在出现第一次页面请求时进行。因此，如果你希望第一个用户不会由于JSP页面转换成Servlet而等待太长的时间，希望确保Servlet已经正确地编译并装载，你可以在安装JSP页面之后自己请求一下这个页面。</p>
<p>　　另外也请注意，许多Web服务器允许定义别名，所以一个看起来指向HTML文件的URL实际上可能指向Servlet或JSP页面。</p>
<p>　　除了普通HTML代码之外，嵌入JSP页面的其他成分主要有如下三种：脚本元素（Scripting Element），指令（Directive），动作（Action）。脚本元素用来嵌入Java代码，这些Java代码将成为转换得到的Servlet的一部分；JSP指令用来从整体上控制Servlet的结构；动作用来引入现有的组件或者控制JSP引擎的行为。为了简化脚本元素，JSP定义了一组可以直接使用的变量（预定义变量），比如前面代码片断中的request就是其中一例。</p>
<p>　　注意本文以JSP 1.0规范为基础。和0.92版相比，新版本的JSP作了许多重大的改动。虽然这些改动只会使JSP变得更好，但应注意1.0的JSP页面几乎和早期的JSP引擎完全不兼容。</p>
<p><strong>　　JSP语法概要表</p>
<p></strong>　　JSP表达式 ＜%= expression %＞ 计算表达式并输出结果。 等价的XML表达是：</p>
<table>
<tr>
<td>
<pre>＜jsp:expression＞ expression ＜/jsp:expression＞</pre>
</td>
</tr>
</table>
<p>　　可以使用的预定义变量包括：request，response，out，session，application，config，pageContext。这些预定义变量也可以在JSP Scriptlet中使用。</p>
<p>　　JSP Scriptlet ＜% code %＞ 插入到service方法的代码。 等价的XML表达是：</p>
<table>
<tr>
<td>
<pre>＜jsp:scriptlet＞ code ＜/jsp:scriptlet＞</pre>
</td>
</tr>
</table>
<p>　　JSP声明 ＜%! code %＞ 代码被插入到Servlet类（在service方法之外）。 等价的XML表达是：</p>
<table>
<tr>
<td>
<pre>＜jsp:declaration＞ code ＜/jsp:declaration＞</pre>
</td>
</tr>
</table>
<p>　　page指令 ＜%@ page att="val" %＞ 作用于Servlet引擎的全局性指令。 等价的XML表达是</p>
<table>
<tr>
<td>
<pre>＜jsp:directive.page att="val"＼＞</pre>
</td>
</tr>
</table>
<p>　　合法的属性如下表，其中粗体表示默认值：</p>
<table>
<tr>
<td>
<pre>import="package.class" contentType="MIME-Type" isThreadSafe="true|false" session="true|false" buffer="size kb|none" autoflush="true|false" extends="package.class" info="message" errorPage="url" isErrorPage="true|false" language="java" 　</pre>
</td>
</tr>
</table>
<p>　　include指令 ＜%@ include file="url" %＞ 当JSP转换成Servlet时，应当包含本地系统上的指定文件。 等价的XML表达是：</p>
<table>
<tr>
<td>
<pre>＜jsp:directive.include  file="url"＼＞.</pre>
</td>
</tr>
</table>
<p>　　其中URL必须是相对URL。</p>
<p>　　利用jsp:include动作可以在请求的时候（而不是JSP转换成Servlet时）引入文件。</p>
<p>　　JSP注释 ＜%-- comment --%＞ 注释；JSP转换成Servlet时被忽略。 如果要把注释嵌入结果HTML文档，使用普通的HTML注释标记＜-- comment --＞。</p>
<p>　　jsp:include动作 ＜jsp:include page="relative URL" flush="true"/＞ 当Servlet被请求时，引入指定的文件。 如果你希望在页面转换的时候包含某个文件，使用JSP include指令。</p>
<p>　　注意：在某些服务器上，被包含文件必须是HTML文件或JSP文件，具体由服务器决定（通常根据文件扩展名判断）。</p>
<table>
<tr>
<td>
<pre>jsp:useBean动作 ＜jsp:useBean att=val*/＞ 或者 ＜jsp:useBean att=val*＞ ... ＜/jsp:useBean＞ 寻找或实例化一个Java Bean。 可能的属性包括： id="name" scope="page|request|session|application" class="package.class" type="package.class" beanName="package.class" jsp:setProperty动作 ＜jsp:setProperty att=val*/＞设置Bean的属性。既可以设置一个确定的值，也可以指定属性值来自请求参数。 合法的属性包括： name="beanName" property="propertyName|*" param="parameterName" value="val" jsp:getProperty动作 ＜jsp:getProperty name="propertyName" value="val"/＞ 提取并输出Bean的属性。 　 jsp:forward动作 ＜jsp:forward page="relative URL"/＞ 把请求转到另外一个页面。 　 jsp:plugin动作 ＜jsp:plugin attribute="value"*＞ ... ＜/jsp:plugin＞ 根据浏览器类型生成OBJECT或者EMBED标记，以便通过Java Plugin运行Java Applet。</pre>
</td>
</tr>
</table>
<p>　　<b>关于模板文本（静态HTML）</b></p>
<p>　　许多时候，JSP页面的很大一部分都由静态HTML构成，这些静态HTML也称为“模板文本”。模板文本和普通HTML几乎完全相同，它们都遵从相同的语法规则，而且模板文本也是被Servlet直接发送到客户端。此外，模板文本也可以用任何现有的页面制作工具来编写。</p>
<p>　　唯一的例外在于，如果要输出“＜%”，则模板文本中应该写成“＜＼%”。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索jsp<br />
                    ，                servlet<br />
                    ，                html jsp<br />
                    ，                文件<br />
                    ，                页面<br />
                    ，                jsp jqury<br />
                    ，                include动作指令<br />
                    ，                动作<br />
                                    express模板引擎<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 10:41:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e4%bd%9c/" title="动作">动作</a>, <a href="https://www.iamivan.net/tag/jsp/" title="jsp">jsp</a>, <a href="https://www.iamivan.net/tag/servlet/" title="servlet">servlet</a>, <a href="https://www.iamivan.net/tag/html-jsp/" title="html jsp">html jsp</a>, <a href="https://www.iamivan.net/tag/jsp-jqury/" title="jsp jqury">jsp jqury</a>, <a href="https://www.iamivan.net/tag/include%e5%8a%a8%e4%bd%9c%e6%8c%87%e4%bb%a4/" title="include动作指令">include动作指令</a>, <a href="https://www.iamivan.net/tag/express%e6%a8%a1%e6%9d%bf%e5%bc%95%e6%93%8e/" title="express模板引擎">express模板引擎</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>新手入门：JSP及语法概要的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBRYab.html" rel="bookmark">十一、JSP及语法概要</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|语法     11.1 概述 JavaServer Pages(JSP)使得我们能够分离页面的静态HTML和动态部分.HTML可以用任何通常使用的Web制作工具编写,编写方式也和原来的一样:动态部分的代码放入特殊标记之内,大部分以&quot;&lt;%&quot;开始,以&quot;%&gt;&quot;结束.例如,下面是一个JSP页面的片断,如果我们用http://host/OrderConfirmation.jsp?title=Core+Web+Programming这个URL打开该页面,则结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr41mz.html" rel="bookmark">JSP及语法概要</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|语法 作 者 : 仙人掌工作室          11.1 概述       JavaServer Pages(JSP)使得我们能够分离页面的静态HTML和动态部分.HTML可以用任何通常使用的Web制作工具编写,编写方式也和原来的一样:动态部分的代码放入特殊标记之内,大部分以&quot;&lt;%&quot;开始,以&quot;%&gt;&quot;结束.例如,下面是一个JSP页面的片断,如果我们用http://host/OrderConfirmation.jsp?title=Core+Web+P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8gjRBM.html" rel="bookmark">十一、JSP及语法概要&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11.1 概述 JavaServer Pages(JSP)使得我们能够分离页面的静态HTML和动态部分.HTML可以用任何通常使用的Web制作工具编写,编写方式也和原来的一样:动态部分的代码放入特殊标记之内,大部分以&quot;&lt;%&quot;开始,以&quot;%&gt;&quot;结束.例如,下面是一个JSP页面的片断,如果我们用http://host/OrderConfirmation.jsp?title=Core+Web+Programming这个URL打开该页面,则结果显示&quot;Th			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWqm7z.html" rel="bookmark">新手入门：了解JSP动态网页制作技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|动态|网页 JavaServer Pages (JSP) 是一种结合了跨平台与跨网站服务器机制,以 Java为主的技术来产生动态网页. JSP与微软的ASP(Active Server Pages )相容,但它是使用类似HTML的标签以及Java代码片段而不是VBScript.当你所使用的网站服务器没有提供本地ASP支援,也就是Apache或Netscape服务器时,你可以考虑使用JSP.虽然你可以取得这些服务器的ASP附加配备程序,但价格相当昂贵,而目前Sun并没有对你所要的JSP组件收			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwwX3z.html" rel="bookmark">jsp基础语法 三 page指令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				page指令 page指令是在jsp开发中较为重要,使用此属性,可以定义一个jsp页面的相关属性,包括 设置MIME类型.定义需要导入的包.错误页的指定等 page指令的语法:&lt;%@ page 属性=&quot;内容&quot;%&gt; page的主要属性: 设置MIME 先来观察一道程序: &lt;html&gt; &lt;head&gt; &lt;title&gt; New Document &lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;cente			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK5dEb.html" rel="bookmark">想入门JSP开发，请各位老师给点意见。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 纠结了10多天了,才把环境整体搭好,但是现在最主要的一个问题就是JSP怎么学?我用GOOGLE找了N多教材,全是些我估计连写书的人自己都不知道在写什么的教材,跑去新华书店也看了,JSP开发书籍的数量数都能数清,就那么几本,根本没有适合自己的,或许是自己太笨了吧.其实我对教材的要求不高,之前有过ASP.PHP的开发经验,HTML.CSS也非常熟悉,这些全是我自学的.但是奇怪的是,我看着JSP的那些书和教材,我真心没搞懂他们想讲个啥?举个例,&lt;% %&gt; &lt;%! %&gt; &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBBraz.html" rel="bookmark">不吝赐教啊-C&num;新手入门方法，求指点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#新手入门方法,求指点 C#入门新手应该从哪方面入门?目前是买了基本书轮番看,但还是理解困难,进展缓慢,求大师指点方法.有一定的嵌入式C编程基础.第一次提问,不知道问题发这可以不, 解决方案 先学习下C#特有,但是C没有的语法. 归纳下如下: 委托.事件 泛型(泛型集合.约束.泛型接口) 索引器 接口 属性 以下关键字: using lock await/async 如果你不懂C++,还需要学习下 类的定义.结构体和值类型.枚举 方法的重载 方法的重写(override virtua			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3o0kb.html" rel="bookmark">mac book新手入门-快捷键</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mac book新手入门-快捷键 (1)快速启动应用程序 Control+space(空格) 可以启动spotlight search 然后输入你要启动的程序,回车即可启动  类似于IDEA 中的双击Shift     (2)截图 全屏截图:Shift+cmd+3 选择区域截图:Shift+cmd+4   (3)连接远程主机的共享目录 先启动Finder cmd+k     (4)打开本地指定目录 先启动finder Shift+cmd+g   (5)触摸板 三指 往上滑,显示当前打开的程序 类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M03rDb.html" rel="bookmark">给javabeans的礼物一篇：JSP基本语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|语法 JSP基本语法 讲完安装问题后,现在进入来讨论JSP语法.一个投机取巧的办法是下载语法卡片.如果你不熟悉Java编程,也许你想看一下Sun的指南 .然而网页创建者并不需要进行太多的Java开发.除了一些方法调用,在你的JSP网页里应尽可能少用Java代码. 记住以上提示,我们首先来看一看JSP指令和脚本元素,之后我们会解释JavaBeans和隐含对象.共有五种JSP指令和脚本元素.在JSP 1.0版中,大部分JSP被一个以&quot;&lt;%&quot; 开头和以&quot;%&gt;&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3W2Jb.html" rel="bookmark" class="title">CSS学习笔记&colon;任意大小图片是自适应居中</a>
					<div>
						文章简介:平时笔记. 强制换行:word-warp:block-word; 任意大小图片是自适应居中: css: .wrapperBox{border:1px solid red; width:100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMldAOM.html" rel="bookmark" class="title">用Asp实现QQ在线查询</a>
					<div>
						在线|在线 这段程序的方法是利用XMLHTTP来读取腾讯网站的相应HTML代码获取QQ的头像,根据这个想法,我们还可以抓取很多其他网站的信息,如天气预报.新闻等等. &lt;script langua ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm73kqb.html" rel="bookmark" class="title">通过PHP连接MYSQL数据库、创建数据库、创建表</a>
					<div>
						通过PHP连接MYSQL数据库 $conn = mysql_connect(&quot;localhost&quot;,&quot;root&quot;,&quot;password&quot;) o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK0ryp.html" rel="bookmark" class="title">Linux Sys Monitor 系统运维监控器进程规则简介</a>
					<div>
						进程监控是为方便您发现木马程序和自动查杀某些进程的工具. 它能有效的查看到未知的进程. 对于顽固型的病毒,在没有找到根源之前杜绝它运行. 在进程主界面上点&quot;监控&quot;按钮打开进程规则的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NKB3z.html" rel="bookmark" class="title">怎样隐藏PowerPoint2013中超链接的下划线</a>
					<div>
						  1.点击&quot;开始&quot;→&quot;程序&quot;PowerPoint2013 2.&quot;插入&quot;→&quot;文本框&quot;→&quot;横排文本框&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlGdnb.html" rel="bookmark" class="title">word怎么删除空白页</a>
					<div>
						一本长篇小说终于编辑完成了,剩下的工作就是检查了.但在检查过程中笔者发现,用Word2003编辑完成的作品,存在许多空白页.连自己都不知道是什么时候留下的.有的空白页面可以简单的删除掉,但是有的空白页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK7jBM.html" rel="bookmark" class="title">2345王牌浏览器兼容模式怎么设置</a>
					<div>
						  现在,很多人都在使用2345王牌浏览器,为了能更好地使用浏览器,兼容模式是不二的选择.今天,小编就来跟大家分享2345王牌浏览器兼容模式设置教程,希望能对大家有所帮助. 1.首先我们打开2345浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72kk4p.html" rel="bookmark" class="title">WPS新增账号即个性启动封面</a>
					<div>
						  1.启动WPS任意组件,登陆帐号后,鼠标点击到昵称位置,新增弹出账号面板 2.WPS启动封面可以随服务器配置更换啦!换个画面换个心情 3.wps表格插入整行整列时,支持输入行列数,一步到位 4.W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EvO3M.html" rel="bookmark" class="title">cdr改变字体颜色完整讲解方法</a>
					<div>
						  cdr改变字体颜色的方法:取消群组,全选文本,改变字体颜色三步骤完成. cdr改变字体颜色操作很简单,按照下面操作即可. 1.如果有群组文字,执行&quot;排列--取消全部群组&quot;. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBr9az.html" rel="bookmark" class="title">用U盘安装Win7系统的详细步骤</a>
					<div>
						  1.把镜像文件在电脑上面进行解压,接着把解压好的文件拷贝到U盘里面去. 2.拷贝好之后把U盘再次插入到电脑接口,直接打开启动增强版里面. 3.进入到PE增强版之后,就会发现有一个可以选择的页面,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8dRab.html" rel="bookmark" class="title">打印机卡纸怎么处理</a>
					<div>
						  对于行业用户来说,基本上都会配代打印机,但使用打印机的过程中,几乎所有人都遇到过卡纸的问题,对于出现卡纸这件比较头痛的问题来说,我们通常情况下都能够简单的解决,但是频繁的出现卡纸问题不仅造成资源浪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRoX9p.html" rel="bookmark" class="title">网络问题-对等网的问题&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 对等网的问题.................. xp不建立域,对等网文件夹要密码访问. 可以具体说如何设置吗?最好有图					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NGOWM.html" rel="bookmark" class="title">tomcat下的SSH项目移植weblogic常见错误解决方案</a>
					<div>
						异常信息1 java.lang.ClassNotFoundException:javax.servlet.jsp.jstl.core.LoopTag 解决方法 缺少jstl.jar的jar文件,将此j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVQB6b.html" rel="bookmark" class="title">TLS隐藏的入口点</a>
					<div>
						TLS简介 1. 什么是TLS? TLS是Thread Local Storage(线程局部存储)的简称,是一项解决多线程内部变量使用问题的技术.用于将某些数据和一特定线程关联起来,即,这些数据为关联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEVn4z.html" rel="bookmark" class="title">关于如何在listview监听器中如何获取所点击那部分的值</a>
					<div>
						问题描述 关于如何在listview监听器中如何获取所点击那部分的值 我在listview绑定了三个textview, 我想在我点击listview的时候把我点击的项中,取得它里面的其中一个textv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32nn7z.html" rel="bookmark" class="title">Java并发编程详解</a>
					<div>
						线程的基础知识 关于线程的基础知识,比如线程的创建(Thread,Runnable),进程和线程的区别,以及线程的sleep.synchronized.wait.interrupt.join.yiel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6elxb.html" rel="bookmark" class="title">《Arduino家居安全系统构建实战》&mdash;&mdash;导读</a>
					<div>
						前言 机器学习项目开发实战 如果你手里拿着这本书,我就可以认定你是对机器学习感兴趣的.NET开发人员了.你可能对编写C#应用程序很熟悉,开发的很有可能是业务线应用程序.以前你可能遇到过F#,也可能没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z401k8z.html" rel="bookmark" class="title">http-Eclipse如何读取pcap格式的文件？</a>
					<div>
						问题描述 Eclipse如何读取pcap格式的文件? wireshark抓取的数据包文件是pcap格式,如何java读取文件中HTTP数据头的内容,谢谢! 解决方案 Pcap 文件格式和 WireSh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4yxPz.html" rel="bookmark" class="title">水晶报表 长文本分页</a>
					<div>
						问题描述 在水晶报表中打印类似word文档的页面.其中详细信息的文本框中内容超长,不能完全打印.设置了&quot;可以增长&quot;后所有的文字全都挤到下一页了.请问可否将其处理成多出的部分才显示到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1eOOz.html" rel="bookmark" class="title">性能测试指标的获取</a>
					<div>
						一个好的性能测试必须要有明确而且全面的性能测试指标,而性能指标的获取常常困扰测试人员,这里简单说一下我在工作中所用到的方法: 1. 有明确的性能测试需求文档 这是测试人员希望看到的,产品经理通过需求的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkedLob.html" rel="bookmark" class="title">阻塞队列BlockingQueue用法&lpar;转&rpar;</a>
					<div>
						多线程环境中,通过队列可以很容易实现数据共享,比如经典的&quot;生产者&quot;和&quot;消费者&quot;模型中,通过队列可以很便利地实现两者之间的数据共享. 假设我们有若干生产者线程,另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60wDgz.html" rel="bookmark" class="title">全球领先的软件服务公司傲游全新发布Android手机v2&period;6&period;9版本浏览器</a>
					<div>
						此次新版最大亮点是加入了全新阅读模式,高效简洁,为用户http://www.aliyun.com/zixun/aggregation/1148.html&quot;&gt;提供最佳浏览体验.以及,还优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW9WAM.html" rel="bookmark" class="title">Java泛型的基本应用</a>
					<div>
						一.泛型概述 jdk1.5版本以后出现的新特性,用于解决安全问题,是一个安全机制. 好处: 1,将运行时期的问题ClassCastException转到了编译时期. 2,避免了强制转换的麻烦. 什么时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjEOrM.html" rel="bookmark" class="title">《UVM实战》&mdash;&mdash;3&period;1节uvm&lowbar;component与uvm&lowbar;object</a>
					<div>
						第3章 UVM 基 础3.1 uvm_component与uvm_object component与object是UVM中两大最基本的概念,也是初学者最容易混淆的两个概念.本节将介绍uvm_objec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX8lrb.html" rel="bookmark" class="title">arraylist-在修改别人的新闻客户端，在logcat中能够解析出jason信息，但是在手机中缺无法显示</a>
					<div>
						问题描述 在修改别人的新闻客户端,在logcat中能够解析出jason信息,但是在手机中缺无法显示 能够解析出来 但是listview中没有任何显示.大致上的代码如图!大神能够帮忙的话,源码在这链接: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NaANb.html" rel="bookmark" class="title">PHP简单实现HTTP和HTTPS跨域共享session解决办法&lowbar;php实例</a>
					<div>
						HTTP.HTTPS协议下session共享解决cookie失效 的办法:(也许不是最好的,但是实用) 原理就是把session id设置到本地的cookie, 复制代码 代码如下: $current ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNZ5lp.html" rel="bookmark" class="title">Repeater的FooterTemplate中控件内容设置方法&lowbar;实用技巧</a>
					<div>
						Repeater中FooterTemplate并无FindControl方法,也无法将FooterTemplate转成RepeaterItem,虽然在Repeater的ItemDataBound事件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GOlXp.html" rel="bookmark" class="title">groupby-mysql Group by 日期。每个时间点数据都要显示出来，没有数据的则为 0 &period;</a>
					<div>
						问题描述 mysql Group by 日期.每个时间点数据都要显示出来,没有数据的则为 0 . 一张表. 数据的主要结构: id num create_time 我现在写的有问题,只能显示有数据的日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr7R6p.html" rel="bookmark" class="title">jquery如果获取重复ID的input的值</a>
					<div>
						问题描述 假如有这样一个表单:&lt;input name=&quot;a&quot; id=&quot;a&quot; value=&quot;a&quot; &gt;&lt;input name= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z6GNz.html" rel="bookmark" class="title">Cacti的优化</a>
					<div>
						服务器架构研究室blog.linuxhonker.com Cacti的优化 1,优化数据库schema,建立合理的索引 cacti默认的cacti.sql建立的数据库模型,竟然一个Index都没有建. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
